//====
// HLGuard Menu Config file
//====

//=====
// Instructions
//=====
// To use HLGuard Menu in-game, type in the console: hlg_menu <password>
// You may also bind this to a key. Example: bind "f1" "hlg_menu 123456"

//=====
// Menu password - No password disables menu!
//=====
hlg_menupassword ""

//=====
// Settings Menu
//=====
// Syntax: hlg_menucvar <cvar> <step> <max. value>
hlg_menucvar "hlg_frequency" "0.1" "1.0"
hlg_menucvar "hlg_repeat" "1" "5"
hlg_menucvar "hlg_scandelay_min" "30" "180"
hlg_menucvar "hlg_scandelay_max" "30" "300"
hlg_menucvar "hlg_startdelay" "5" "30"
hlg_menucvar "hlg_showswzones" "1" "1"

//=====
// Commands Menu
//=====
// Syntax: hlg_menucmd <description> <server commmand>
// Blank/Dummy: hlg_menucmd " " " "
hlg_menucmd "Enable Empty (To be replaced...)" "hlguard 1 on"
hlg_menucmd "Enable Alias Scanning" "hlguard 2 on"
hlg_menucmd "Enable Rapid/Burstfire Detector" "hlguard 3 on"
hlg_menucmd "Enable Wallhack Blocker" "hlguard 4 on"
hlg_menucmd "Enable Cvar Enforcer" "hlguard 5 on"
hlg_menucmd "Enable Steambans Client" "hlguard 6 on"
hlg_menucmd "Enable Namebanner" "hlguard 7 on"
hlg_menucmd "Enable Skywalk Guard" "hlguard 8 on"

hlg_menucmd "Disable Empty (To be replaced...)" "hlguard 1 off"
hlg_menucmd "Disable Alias Scanning" "hlguard 2 off"
hlg_menucmd "Disable Rapid/Burstfire Detector" "hlguard 3 off"
hlg_menucmd "Disable Wallhack Blocker" "hlguard 4 off"
hlg_menucmd "Disable Cvar Enforcer" "hlguard 5 off"
hlg_menucmd "Disable Steambans Client" "hlguard 6 off"
hlg_menucmd "Disable Namebanner" "hlguard 7 off"
hlg_menucmd "Disable Skywalk Guard" "hlguard 8 off"

hlg_menucmd "Enable All" "hlguard -1"
hlg_menucmd "Disable All" "hlguard 0"
hlg_menucmd "Reset" "hlg_reset"
hlg_menucmd "Reset with Internet Settings" "hlg_reset net"
hlg_menucmd "Reset with League Settings" "hlg_reset league"
hlg_menucmd "Reset with LAN Settings" "hlg_reset lan"
hlg_menucmd "Check for config updates" "hlg_updateconfigs"

//=====
// Player Menu
//=====
// Syntax: hlg_menuplayer <description> <server commmand>
hlg_menuplayer "Run Alias Check" "hlg_check #%u"
hlg_menuplayer "Kill" "hlg_clexec #%u \'kill\'"
hlg_menuplayer "Kick" "kick #%u"
hlg_menuplayer "Ban UNIQUEID" "banid 0.0 %w kick;writeid"
hlg_menuplayer "Ban IP" "addip 0.0 %i;kick %u;writeip"
